#!/usr/bin/env bash

## TODO add a path management in ansible
{% if dils_conda_env is defined %}
{% for key, value in dils_conda_env.items() %}
export PATH="$PATH:{{ dils_conda_install_path }}/envs/{{ key }}/bin"
export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:{{ dils_conda_install_path }}/envs/{{ key }}/lib"
{% endfor %}
{% endif %}

cd {{ dils_install_path }}

env # for debug

{{ dils_path_rscript }} {{ dils_install_path }}/webinterface/app.R host=127.0.0.1 port={{ dils_shiny_port }}
